#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

const int MAXC = 1000 * 1000;
const int GROUPS = 11;
const string NAMES[GROUPS] = {"0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "10"};
const int MAXN[GROUPS] = {10, 2, 5, 25, 200, 500, 1000, 1500, 2000, 2300, 2600};

int main(int argc, char** argv) {
    registerValidation(argc, argv);

    int group = -1;
    for (int i = 0; i < GROUPS; i++) {
        if (NAMES[i] == validator.group()) {
            group = i;
        }
    }

    //ensuref(group != -1, "group name is invalid");
    if (group == -1) {
        group = GROUPS-1;
    }

    int n = inf.readInt(2, MAXN[group], "n");
    inf.readEoln();

    set<pair<int, int> > points;

    for (int i = 0; i < 2 * n; i++) {
        int x = inf.readInt(-MAXC, MAXC, "x[" + vtos(i + 1) + "]");
        inf.readSpace();
        int y = inf.readInt(-MAXC, MAXC, "y[" + vtos(i + 1) + "]");
        ensuref(!points.count({x, y}), "points should be distinct");
        points.emplace(x, y);
        inf.readEoln();
    }

    inf.readEof();
    return 0;
}

