#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

using ll = long long;
using ld = long double;
using ull = unsigned long long;

constexpr int C = 1000 * 1000;

int main(int argc, char** argv) {
    int n = atoi(argv[1]);
    set<pair<int, int> > pts;
    for (int i = 0; i < 2 * n; i++) {
        int x, y;
        do {
            x = rnd.next(-C, C);
            y = rnd.next(-C, C);
        } while (pts.count({x, y}));
        pts.emplace(x, y);
    }
    cout << n << endl;
    for (auto& pt : pts) {
        cout << pt.first << " " << pt.second << endl;
    }
    return 0;
}
