#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

const int MAXC = 1000 * 1000;
const int MAXN = 5207;

int x[MAXN], y[MAXN];

int main(int argc, char **argv) {
    registerGen(argc, argv, 1);
    int iter = atoi(argv[1]);
    int delta = atoi(argv[2]);

    int n;
    cin >> n;
    n += n;
    for (int i = 0; i < n; i++) {
        cin >> x[i] >> y[i];
    }
    set<pair<int, int> > pts;
    for (int i = 0; i < n; i++) {
        pts.emplace(x[i], y[i]);
    }
    for (int i = 0; i < iter; i++) {
        int idx = rnd.next(0, n - 1);
        while (true) {
            if (rnd.next(0, 1)) {
                int dx = 0;
                if (rnd.next(0, 1)) {
                    dx = rnd.next(1, delta);
                } else {
                    dx = rnd.next(-delta, -1);
                }
                if (x[idx] + dx > MAXC || x[idx] + dx < -MAXC) continue;
                if (!pts.count({x[idx] + dx, y[idx]})) {
                    pts.erase({x[idx], y[idx]});
                    x[idx] += dx;
                    pts.emplace(x[idx], y[idx]);
                    break;
                }
            } else {
                int dy = 0;
                if (rnd.next(0, 1)) {
                    dy = rnd.next(1, delta);
                } else {
                    dy = rnd.next(-delta, -1);
                }
                if (y[idx] + dy > MAXC || x[idx] + dy < -MAXC) continue;
                if (!pts.count({x[idx], y[idx] + dy})) {
                    pts.erase({x[idx], y[idx]});
                    y[idx] += dy;
                    pts.emplace(x[idx], y[idx]);
                    break;
                }
            }
        }
    }
    cout << n / 2 << endl;
    for (int i = 0; i < n; i++) {
        cout << x[i] << " " << y[i] << endl;
    }
    return 0;
}

