#ifndef BZ
#pragma GCC optimize "-Ofast"
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,avx,tune=native")
#pragma GCC optimize("unroll-loops")
#endif
#include <bits/stdc++.h>

#define FASTIO

#ifdef FASTIO
#define scanf abacaba
#define printf abacaba
#endif

typedef long long ll;
typedef long long llong;
typedef long double ld;
typedef unsigned long long ull;

using namespace std;


/*
ll pw(ll a, ll b) {
        ll ans = 1; while (b) {
                while (!(b & 1)) b >>= 1, a = (a * a) % MOD;
                ans = (ans * a) % MOD, --b;
        } return ans;
}
*/

int gcd(int a, int b) {
    while (b) {
        int q = a % b;
        a = b;
        b = q;
    }
    return a;
}

/*
inline int gcd(int u, int v) {
        if (u == 0)
                return v;
        if (v == 0)
                return u;
    auto shift = __builtin_ctz(u | v);
    u >>= __builtin_ctz(u);
    do {
        v >>= __builtin_ctz(v);
        if(u > v)
            swap(u, v);
    } while((v -= u));
    return u << shift;
}*/

struct point {
    ll x, y;
    point(ll X = 0, ll Y = 0) {
        x = X, y = Y;
    }
    point operator-(point a) {
        return point(x - a.x, y - a.y);
    }
};

bool operator==(point a, point b) {
    return a.x == b.x && a.y == b.y;
}

pair<int, int> norm(point a) {
    ll g = gcd(abs(a.x), abs(a.y));
    pair<int, int> b = make_pair(a.x / g, a.y / g);
    return min(b, make_pair(-b.first, -b.second));
}

mt19937 rnd(1234);
int n;
point p[5207];

map<pair<int, int>, int> mm;

void check(point a) {
    mm.clear();
    int fl = 0;
    for (int i = 0; i < 2 * n; ++i) {
        if (a == p[i])
            ++fl;
        else {
            int &x = mm[norm(p[i] - a)];
            ++x;
            if (x > 2)
                return;
            if (mm.size() > n)
                return;
        }
    }
    cout << "Yes\n";
    cout << a.x << " " << a.y << "\n";
    exit(0);
}

struct line {
    ll a, b, c;
    line(point x, point y) {
        a = x.y - y.y;
        b = y.x - x.x;
        c = x.x * a + x.y * b;
    }
};

pair<point, bool> cross(line a, line b) {
    ll d = a.a * b.b - a.b * b.a;
    ll dx = a.c * b.b - a.b * b.c;
    ll dy = a.a * b.c - a.c * b.a;
    if (d == 0 || dx % d != 0 || dy % d != 0)
        return make_pair(point(0, 0), 0);
    return make_pair(point(dx / d, dy / d), 1);
}

const int MX = 1e6;
const int TL = CLOCKS_PER_SEC * 6.4;




vector<pair<int, int> > vv;
vector<int> go[4];

random_device rd;
int main() {
#ifdef FASTIO
    ios_base::sync_with_stdio(false), cin.tie(0), cout.tie(0);
#endif
    int start = clock();
    cin >> n;
    int xx = 228;
    //int xx = 123123;
    //int xx = 35241;
    if (n > 2000)
        //xx = 675739;
        //xx = 51285;
        //xx = 58754;
        xx = rd();
    mt19937 rnd(xx);
    for (int i = 0; i < 2 * n; ++i)
        cin >> p[i].x >> p[i].y;
    if (n == 1)
        check(p[0]);
    shuffle(p, p + 2 * n, rnd);
    for (int i = 0; i < 3; ++i) {
        mm.clear();
        for (int j = 0; j < 2 * n; ++j) {
            if (i == j)
                continue;
            ++mm[norm(p[j] - p[i])];
        }
        for (int j = i + 1; j < 2 * n; ++j) {
            if (mm[norm(p[j] - p[i])] == 1)
                go[i].push_back(j);
        }
    }
    for (int i: go[0]) {
        int x = 1;
        if (x == i)
            ++x;
        for (int y: go[x]) {
            if (y == i)
                continue;

            pair<point, bool> aa = cross(line(p[0], p[i]), line(p[x], p[y]));
            if (aa.second && abs(aa.first.x) <= MX && abs(aa.first.y) <= MX) {
                vv.push_back(make_pair(aa.first.x, aa.first.y));
            }
        }
    }
//      for (int j = 0; j < 2 * n; ++j)
//              vv.push_back(make_pair(p[j].x, p[j].y));
    sort(vv.begin(), vv.end());
    vv.resize(unique(vv.begin(), vv.end()) - vv.begin());
    shuffle(vv.begin(), vv.end(), rnd);
    for (int i = 0; i < vv.size(); ++i) {
        if ((i & 127) == 0 && clock() - start > TL)
            break;
        check(point(vv[i].first, vv[i].second));
    }
    cout << "No\n";
    return 0;
}
